Get WhatsApp analytics
curl --request GET \
--url https://api.pineyard.ai/whatsapp/analytics \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/whatsapp/analytics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/whatsapp/analytics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"sent": 123,
"delivered": 123,
"read": 123,
"failed": 123,
"queued": 123,
"attempted": 123,
"replies": 123,
"clicks": 123,
"linksClicked": 123,
"clicksByKind": [
{
"kind": "<string>",
"clicks": 123
}
],
"orders": 123,
"ordersTotal": 123,
"revenue": 123,
"revenueTotal": 123,
"spend": 123,
"roi": 123,
"failedReasons": [
{
"reason": "<string>",
"count": 123
}
],
"sentNoReceipt": 123,
"webhookRejects7d": 123,
"perTemplate": [
{
"templateId": "<string>",
"purpose": "<string>",
"sent": 123,
"delivered": 123,
"read": 123,
"failed": 123,
"attempted": 123,
"clicks": 123,
"orders": 123,
"revenue": 123
}
],
"perOrigin": [
{
"origin": "CAMPAIGN",
"sent": 123,
"delivered": 123,
"read": 123,
"failed": 123,
"attempted": 123,
"spend": 123
}
],
"perOrderTrigger": [
{
"trigger": "<string>",
"sent": 123,
"delivered": 123,
"read": 123,
"failed": 123,
"attempted": 123,
"spend": 123
}
]
}Analytics & exports
Get WhatsApp analytics
Full WhatsApp analytics — funnel, engagement, per-template/origin/order-trigger, revenue/ROI
GET
/
whatsapp
/
analytics
Get WhatsApp analytics
curl --request GET \
--url https://api.pineyard.ai/whatsapp/analytics \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/whatsapp/analytics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/whatsapp/analytics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"sent": 123,
"delivered": 123,
"read": 123,
"failed": 123,
"queued": 123,
"attempted": 123,
"replies": 123,
"clicks": 123,
"linksClicked": 123,
"clicksByKind": [
{
"kind": "<string>",
"clicks": 123
}
],
"orders": 123,
"ordersTotal": 123,
"revenue": 123,
"revenueTotal": 123,
"spend": 123,
"roi": 123,
"failedReasons": [
{
"reason": "<string>",
"count": 123
}
],
"sentNoReceipt": 123,
"webhookRejects7d": 123,
"perTemplate": [
{
"templateId": "<string>",
"purpose": "<string>",
"sent": 123,
"delivered": 123,
"read": 123,
"failed": 123,
"attempted": 123,
"clicks": 123,
"orders": 123,
"revenue": 123
}
],
"perOrigin": [
{
"origin": "CAMPAIGN",
"sent": 123,
"delivered": 123,
"read": 123,
"failed": 123,
"attempted": 123,
"spend": 123
}
],
"perOrderTrigger": [
{
"trigger": "<string>",
"sent": 123,
"delivered": 123,
"read": 123,
"failed": 123,
"attempted": 123,
"spend": 123
}
]
}Required scope:
whatsapp.viewAuthorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Query Parameters
Required range:
x > 0Available options:
CAMPAIGN, AGENT_CALL, ORDER_STATUS, WORKFLOW, MANUAL, TEST, INBOUND Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes

